package work.xuye.helper.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import work.xuye.helper.checker.DataDiffChecker;
import work.xuye.helper.vo.DataCheckVO;

import javax.validation.Valid;

/**
 * @author xuye
 * @since 2023/7/13 18:13
 **/
@Api(tags = "数据对比")
@Validated
@RestController
@RequestMapping("/check")
@RequiredArgsConstructor
public class CheckController {

    private final DataDiffChecker dataDiffChecker;

    @PostMapping
    @ApiOperation("指定任务对比")
    public void check(@RequestBody @Valid DataCheckVO dataCheckVO) {
        dataDiffChecker.check(dataCheckVO.getIds(), dataCheckVO.getIntervalDays());
    }

}
